# TdApi.GetPassportAuthorizationFormAvailableElements (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: GetPassportAuthorizationFormAvailableElements

Package it.tdlight.jni

# Class TdApi.GetPassportAuthorizationFormAvailableElements

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.GetPassportAuthorizationFormAvailableElements

Enclosing class:
  TdApi

    public static class TdApi.GetPassportAuthorizationFormAvailableElements
    extends TdApi.Function

Returns already available Telegram Passport elements suitable for completing a Telegram Passport authorization form. Result can be received only once for each authorization form.

Returns `PassportElementsWithErrors`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`int` | `autorizationFormId` | Authorization form identifier.
`static int` | `CONSTRUCTOR` |
`String` | `password` | Password of the current user.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`GetPassportAuthorizationFormAvailableElements()` | Returns already available Telegram Passport elements suitable for completing a Telegram Passport authorization form.
`GetPassportAuthorizationFormAvailableElements​(int autorizationFormId, String password)` | Returns already available Telegram Passport elements suitable for completing a Telegram Passport authorization form.
`GetPassportAuthorizationFormAvailableElements​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### autorizationFormId

public int autorizationFormId
Authorization form identifier.

### password

public String password
Password of the current user.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### GetPassportAuthorizationFormAvailableElements

public GetPassportAuthorizationFormAvailableElements()
Returns already available Telegram Passport elements suitable for completing a Telegram Passport authorization form. Result can be received only once for each authorization form.

Returns `PassportElementsWithErrors`

### GetPassportAuthorizationFormAvailableElements

public GetPassportAuthorizationFormAvailableElements​(int autorizationFormId, String password)
Returns already available Telegram Passport elements suitable for completing a Telegram Passport authorization form. Result can be received only once for each authorization form.

Returns `PassportElementsWithErrors`

Parameters:
  `autorizationFormId` - int Authorization form identifier.
  `password` - String Password of the current user.

### GetPassportAuthorizationFormAvailableElements

public GetPassportAuthorizationFormAvailableElements​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`